
Katello - Bug #4365

Publishing content view definitions complained of label and name already used

02/17/2014 05:11 PM - Og Maciel

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Created a custom product named "*Wild Kingdom*" with a provider named "*Animals*". Added a custom repository, synchronized it

and then created a Content View Definition named "*Animals CVD*". Added "Wild Kingdom" to the CVD and then published it as

"*Animals*". The UI showed an error message stating that the name and labels had already been used (see attached screenshot).

The following error scrolled by too:

Started GET "/katello/content_view_definitions/1/status?task_ids%5B%5D=4&_=1392656562929" for xx.x

x.xx.xx at 2014-02-17 12:02:43 -0500

Processing by Katello::ContentViewDefinitionsController#definition_status as JSON

  Parameters: {"task_ids"=>["4"], "_"=>"1392656562929", "id"=>"1"}

  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/content_view_d

efinitions/views/_version.html.haml (11.7ms)

Completed 200 OK in 33ms (Views: 0.6ms | ActiveRecord: 6.8ms)

[ERROR 2014-02-17 12:02:43 glue  #30601] Katello::Actions::ContentViewPublish:success:nil -> nil

 | Fort::Actions::ContentViewPublish:success:nil -> nil

 | Fort::Actions::ContentViewPublish:error:{"id"=>3, "label"=>"Animals", "organization_label"=>"NY

_Data_Storage"} -> {}NameError: uninitialized constant Fort::Actions::ContentViewPublish::ContentV

iew

 | /opt/rh/ruby193/root/usr/share/gems/gems/rake-0.9.2.2/lib/rake/ext/module.rb:36:in `const_missi

ng'

 | /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/engines/fort/lib/fort/actions/content_vi

ew_publish.rb:23:in `run'

 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:88:in `block (2 level

s) in run_execution_plan'

 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/step.rb:91:in `catch_errors'

 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:86:in `block in run_e

xecution_plan'

 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:83:in `map'

 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:83:in `run_execution_

plan'

 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:39:in `execute'

 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/bus.rb:27:in `trigger'

 | /opt/rh/ruby193/root/usr/share/ruby/forwardable.rb:201:in `trigger'

 | /opt/rh/ruby193/root/usr/share/gems/gems/dynflow-0.1.0/lib/dynflow/action.rb:69:in `trigger'

 | /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/lib/katello/glue/event.rb:45:in `tri

gger'

 | /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/content_view_definiti

on.rb:94:in `generate_repos'

 | /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/models/katello/async_operation.rb:57

:in `perform'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/backend/base.rb:94:in `b

lock in invoke_job'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `bloc

k in initialize'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `call
'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `exec

ute'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:38:in `run_

callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/backend/base.rb:91:in `i

nvoke_job'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:178:in `block 

(2 levels) in run'

 | /opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:178:in `block 

in run'

 | /opt/rh/ruby193/root/usr/share/ruby/benchmark.rb:295:in `realtime'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:177:in `run'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:234:in `block 

in reserve_and_run_one_job'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `bloc

k in initialize'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `exec

ute'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:38:in `run_

callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:234:in `reserv

e_and_run_one_job'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:162:in `block 

in work_off'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:161:in `times'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:161:in `work_o

ff'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:133:in `block 

(4 levels) in start'

 | /opt/rh/ruby193/root/usr/share/ruby/benchmark.rb:295:in `realtime'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:132:in `block 

(3 levels) in start'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `bloc

k in initialize'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `exec

ute'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:38:in `run_

callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:129:in `block 

(2 levels) in start'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:128:in `loop'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:128:in `block 

in start'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/plugins/clear_locks.rb:7

:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/plugins/clear_locks.rb:7

:in `block (2 levels) in <class:ClearLocks>'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:78:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:78:in `bloc

k (2 levels) in add'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:60:in `bloc

k in initialize'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:78:in `call

'
 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:78:in `bloc

k in add'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `call

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:65:in `exec

ute'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/lifecycle.rb:38:in `run_

callbacks'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/worker.rb:127:in `start'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:101:in `run'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:89:in `block 

in run_process'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/application.rb:249:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/application.rb:249:in `block

 in start_proc'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/daemonize.rb:197:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/daemonize.rb:197:in `call_as

_daemon'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/application.rb:253:in `start

_proc'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/application.rb:293:in `start

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/controller.rb:70:in `run'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons.rb:195:in `block in run_proc

'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/cmdline.rb:109:in `call'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons/cmdline.rb:109:in `catch_exc

eptions'

 | /opt/rh/ruby193/root/usr/share/gems/gems/daemons-1.1.4/lib/daemons.rb:194:in `run_proc'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:87:in `run_pr

ocess'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:80:in `block 

in daemonize'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:78:in `times'

 | /opt/rh/ruby193/root/usr/share/gems/gems/delayed_job-3.0.2/lib/delayed/command.rb:78:in `daemon

ize'

 | /usr/bin/katello-jobs:5:in `<main>'

==> /var/log/foreman/delayed_job.log <==

2014-02-17T12:02:43-0500: [Worker(delayed_job host:ip-10-91-178-83 pid:30601)] Katello::ContentVie

wDefinition#generate_repos completed after 16.3829

2014-02-17T12:02:43-0500: [Worker(delayed_job host:ip-10-91-178-83 pid:30601)] 1 jobs processed at

 0.0610 j/s, 0 failed ...

History

#1 - 02/17/2014 06:29 PM - Og Maciel

fwiw it looks like the CV was successfully published (was able to see it listed under Content Search and Changeset Management

#2 - 06/04/2014 12:32 AM - Eric Helms

- Status changed from New to Closed

- Triaged set to Yes

Content view definitions no longer exist, closing due to old functionality.

#3 - 08/21/2014 02:29 PM - Eric Helms

- translation missing: en.field_release set to 13
